OpenSSL vulnerability addressed

You may have read about the recently-discovered vulnerability with OpenSSL (here's an article about it). Like many other sites, 3MJ uses OpenSSL for encryption and was affected by this vulnerability. Our systems were patched yesterday and are no longer vulnerable to this exploit. To ensure the security of your account, we recommend changing your password and logging out of any current sessions.